import { FunctionComponent } from "react";
import { ViewerProps } from "./viewer.model";
/**
 * Viewer
 * @property {string} url - The URL of the image.
 * @property {Object} dimensions - The dimensions of the viewer.
 * @property {number} dimensions.height - The height of the viewer.
 * @property {number} dimensions.width - The width of the viewer.
 * @property {Object} rect - The position of the viewer.
 * @property {number} rect.x - The x-coordinate of the viewer.
 * @property {number} rect.y - The y-coordinate of the viewer.
 * @property {() => void} onClose - Function to handle viewer close.
 * @property {number} top - The top position of the viewer.
 * @property {number} left - The left position of the viewer.
 * @property {() => void} onNext - Function to handle next image.
 * @property {() => void} onPrevious - Function to handle previous image.
 * @property {number} activeImageIndex - The index of the active image.
 * @property {number} totalImages - The total number of images.
 * @returns {JSX.Element} The Viewer component.
 */
declare const Viewer: FunctionComponent<ViewerProps>;
declare const ViewerContainer: FunctionComponent<ViewerProps>;
export { Viewer, ViewerContainer };
