/**
 * useResize
 * @property {HTMLElement} target - The target element to be resized.
 * @property {() => void} onResizeEnded - Function to handle resize end.
 * @property {() => void} onResizeStarted - Function to handle resize start.
 * @property {number} minWidth - Minimum width allowed for resizing.
 * @property {number} minHeight - Minimum height allowed for resizing.
 * @property {HTMLElement} dragRef - The element used to initiate drag.
 */
import { ResizeOptions } from "./models";
export default function useResize({ target, onResizeEnded, onResizeStarted, minWidth, minHeight, dragRef, }: ResizeOptions): void;
