/**
 * useStyle
 * @param {StyleOptions} options - The style options for the gallery.
 *
 * StyleOptions properties:
 * @property {Object} rootDimensions - The dimensions of the root element.
 * @property {Object} imageDimensions - The dimensions of the images.
 * @property {string} gridLayout - The layout of the grid (vertical or horizontal).
 * @property {Object} region - The region of the gallery.
 * @property {number} columns - The number of columns in the grid.
 * @property {number} rows - The number of rows in the grid.
 * @property {number} gap - The gap between grid items.
 * @property {string} mode - The mode of the gallery (auto or manual).
 * @property {boolean} isFullScreen - Whether the gallery is in full-screen mode.
 * @property {boolean} isResized - Whether the gallery is resized.
 *
 * @returns {Object} The styles for the gallery and wrapper.
 */
import { CSSProperties } from "react";
import { StyleOptions } from "./models";
export declare function useStyle({ rootDimensions, imageDimensions, gridLayout, region, columns, rows, gap, mode, isFullScreen, isResized, }: StyleOptions): {
    galleryStyle: CSSProperties;
    wrapperStyle: CSSProperties;
};
